
QGIS Application - Bug report #453

Identify dialog creeps up with each use

2006-12-13 09:58 AM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10512

Description

Identify a feature. Close the identify dialog. Repeat. The dialog creeps up by what appears to be the height of the window title bar.

This is a problem on Windows, not tested on other platforms.

History

#1 - 2006-12-13 11:41 PM - Gavin Macaulay -

Works ok on Linux. Is this really critical?

#2 - 2006-12-14 06:13 AM - Gary Sherman

It's critical because eventually the dialog walks its way off the top of the screen and the user has to battle to get it back. And you may not notice whats going

on until the title bar is off the screen.

#3 - 2006-12-14 08:15 AM - anonymous -

This looks like a bug in the latest version of Qt for Windows (I've seen it before...)

-gsherman

#4 - 2006-12-14 12:11 PM - Gavin Macaulay -

Interestingly, on a different linux setup (display via an X server on windows), the identify results dialog box goes down with each iteration.

#5 - 2006-12-14 06:43 PM - Gary Sherman

Thats going to make it fun to fix. This must be a Qt bug since the same code worked fine previous to recent Qt (at least I think it did).

#6 - 2006-12-15 01:22 AM - Gavin Macaulay -

Possible fix in commit:af433383 (SVN r6256). Please test.
#7 - 2006-12-15 08:55 AM - Gary Sherman

- Status changed from Open to Closed

- Resolution set to fixed

Works for me.

#8 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
